/* src/include/xdrv-config.h.  Generated from xdrv-config.h.in by configure.  */
/* xdrv-config.h.in */

#ifndef _XDRV_CONFIG_H_
#define _XDRV_CONFIG_H_

/* Misc defines moved from the command line */
#define IN_MODULE 
#define XFree86LOADER 
#define XINPUT 
#define XKB 

/* Compiling for X.org */
#define WCM_XORG 1

/* Compiling for XFree86 */
/* #undef WCM_XFREE86 */

/* Enable the Linux Input subsystem */
#define WCM_ENABLE_LINUXINPUT 

/* The xserver have no wraps around libc-functions */
/* #undef WCM_NO_LIBCWRAPPER */

/* Some X.org versions require that the events are scaled to screen size */
/* #undef WCM_XORG_TABLET_SCALING */

/* Xserver versions 1.4 and later call Uninit before closing a device. */
#define WCM_XORG_XSERVER_1_4 1

/* Xserver versions 1.6 and later changed a few interfaces. */
/* #undef WCM_XORG_XSERVER_1_6 */

/* The X-driver can send key events for a button */
#define WCM_KEY_SENDING_SUPPORT 1

/* Later X.org version uses dixScreenOrigins for screen positions and sizes */
#define WCM_HAVE_DIXSCREENORIGINS 1

/* Slightly diffent abi in XINPUT >= 1.0 */
#define WCM_XINPUTABI_MAJOR 2

#endif /* _XDRV_CONFIG_H_ */
